Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.interceptor.debugging
Class PrettyPrintWriter

    java.lang.Object
      org.apache.struts2.interceptor.debugging.PrettyPrintWriter

    public class PrettyPrintWriter

extends Object

Field Summary
`private static char[]` | `AMP`
`private static char[]` | `APOS`
`private static char[]` | `CLOSE`
`private int` | `depth`
`private Stack<String>` | `elementStack`
`private static char[]` | `GT`
`private char[]` | `lineIndenter`
`private static char[]` | `LT`
`private String` | `newLine`
`private static char[]` | `NULL`
`private static char[]` | `QUOT`
`private boolean` | `readyForNewLine`
`private static char[]` | `SLASH_R`
`private boolean` | `tagInProgress`
`private boolean` | `tagIsEmpty`
`private PrintWriter` | `writer`

Constructor Summary
`PrettyPrintWriter(Writer writer)`
`PrettyPrintWriter(Writer writer, char[] lineIndenter)`
`PrettyPrintWriter(Writer writer, char[] lineIndenter, String newLine)`
`PrettyPrintWriter(Writer writer, String lineIndenter)`
`PrettyPrintWriter(Writer writer, String lineIndenter, String newLine)`

Method Summary
`void` | `addAttribute(String key, String value)`
`void` | `close()`
`void` | `endNode()`
`protected void` | `endOfLine()`
`private void` | `finishTag()`
`void` | `flush()`
`void` | `setValue(String text)`
`void` | `startNode(String name)`
`protected void` | `writeAttributeValue(PrintWriter writer, String text)`
`protected void` | `writeText(PrintWriter writer, String text)`
`private void` | `writeText(String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    private final PrintWriter writer

### elementStack

    private final Stack<String> elementStack

### lineIndenter

    private final char[] lineIndenter

### tagInProgress

    private boolean tagInProgress

### depth

    private int depth

### readyForNewLine

    private boolean readyForNewLine

### tagIsEmpty

    private boolean tagIsEmpty

### newLine

    private String newLine

### NULL

    private static final char[] NULL

### AMP

    private static final char[] AMP

### LT

    private static final char[] LT

### GT

    private static final char[] GT

### SLASH_R

    private static final char[] SLASH_R

### QUOT

    private static final char[] QUOT

### APOS

    private static final char[] APOS

### CLOSE

    private static final char[] CLOSE

Constructor Detail

### PrettyPrintWriter

    public PrettyPrintWriter(Writer writer,
                             char[] lineIndenter,
                             String newLine)

### PrettyPrintWriter

    public PrettyPrintWriter(Writer writer,
                             char[] lineIndenter)

### PrettyPrintWriter

    public PrettyPrintWriter(Writer writer,
                             String lineIndenter,
                             String newLine)

### PrettyPrintWriter

    public PrettyPrintWriter(Writer writer,
                             String lineIndenter)

### PrettyPrintWriter

    public PrettyPrintWriter(Writer writer)

Method Detail

### startNode

    public void startNode(String name)

### setValue

    public void setValue(String text)

### addAttribute

    public void addAttribute(String key,
                             String value)

### writeAttributeValue

    protected void writeAttributeValue(PrintWriter writer,
                                       String text)

### writeText

    protected void writeText(PrintWriter writer,
                             String text)

### writeText

    private void writeText(String text)

### endNode

    public void endNode()

### finishTag

    private void finishTag()

### endOfLine

    protected void endOfLine()

### flush

    public void flush()

### close

    public void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.